curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Read Contact’s participations by identifier - email or internal id.
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The identifier of the Contact. It may be email or internal id.
The cursor indicating the position of the last retrieved item.
The limit for response size. The default value is 10, the max number is 100
The participation state value. It may be REGISTERED, CANCELLED, ATTENDED, NO_SHOW